import json
from os.path import expanduser

import flickrapi


def setup_flickr(api_key, api_secret):
    flickr = flickrapi.FlickrAPI(api_key, api_secret)

    token, frob = flickr.get_token_part_one(perms='write')
    if not token:
        raw_input("Press ENTER after you authorized this program")

    flickr.get_token_part_two((token, frob))
    return flickr


def get_flickr_from_rc_file(rc_file=expanduser('~/.flickrscripts.json')):
    rc_conf = json.load(open(rc_file))
    return setup_flickr(rc_conf['APIKEY'], rc_conf['APISECRET'])
